LOGNAME(1L)

NAME
logname - print user's login name

SYNOPSIS
logname [--help] [--version]

DESCRIPTION
This manual page documents the GNU version of logname. logname prints the calling user's name, as found in the file /etc/utmp, and exits with a status of 0. If there is no /etc/utmp entry for the calling process, logname prints an error message and exits with a status of 1.

  OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.